Skip to Content
avatar image
Former Member

JDK not found in SMD agent check results

Hello All,

I have XI 3.0 ( NW04 ) system installed on AIX ( 5.3) and no any SMD agent was Installed Previously in the server.

so i have installed SMD agent from service.sap.com/swdc-Download -Support Packages and Patches - Entry by Application Group - SAP NetWeaver - SAP NetWeaver -SAP NetWeaver 04 - Entry by Component -Central Admin - COMPONENT ANALYZER 6.40 - AIX (OS).

The file CDSMDTOOLS21<version>.sar

Unzipped CDSMDTOOLS21<version>.sar

and started SAPInst afterwards.

SMD agent installed successfully and running fine, but while checking from the solution manager 7.0 SPS19 - agent administration getting the error that JDK not found.

while the installed java version on the server is as below

>java -version

java version "1.4.2"

Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2)

Classic VM (build 1.4.2, J2RE 1.4.2 IBM AIX 5L for PowerPC (64 bit JVM) build caix64142-20080923 (SR12) (JIT enabled: jitc))

Please help

Thanks

Ravindra

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • avatar image
    Former Member
    Dec 07, 2010 at 07:20 PM
    Add comment
    10|10000 characters needed characters exceeded

  • Dec 08, 2010 at 02:29 AM

    Hello Ravindra,

    You may want to review SAP Note

    1093831 - JDK upgrade for Diagnostics agent on AIX and Linux

    1024539 - Recommended Settings for NW04 >= SP14, NW 7.0 >= SP6on AIX

    They may be helpful

    Regards.

    Paul

    Add comment
    10|10000 characters needed characters exceeded

    • Dear Ravindra

      so i have installed SMD agent from service.sap.com/swdc-Download -Support Packages and Patches - Entry by Application Group - SAP NetWeaver - SAP NetWeaver -SAP NetWeaver 04 - Entry by Component -Central Admin - COMPONENT ANALYZER 6.40 - AIX (OS).

      The file CDSMDTOOLS21<version>.sar

      Unzipped CDSMDTOOLS21<version>.sar

      and started SAPInst afterwards.

      Are you sure those sar files contain the correct agent ? Sounds like a really old version.

      My advise is check what is compatible with the version of your SAP Solution Manager and install as the version of SMD Agent as high as possible. The latest versions of diagnostics agent run on SAP JVM and not OS JVM which is better in my opinion.

      You can find a standalone installer on SAP service marketplace downloads under SAP technology components --> SAP Solution Manager --> SAP Solution Manager Diagnostics

      Kind regards

      Tom